Facebook Google Plus Twitter LinkedIn YouTube RSS Menu Search Resource - BlogResource - WebinarResource - ReportResource - Eventicons_066 icons_067icons_068icons_069icons_070

ISC BIND 9.x < 9.9.9-P1 / 9.9.9-S3 / 9.10.4-P1 / 9.11.0b1 DoS

Medium

Synopsis

The remote DNS server may be affected by a Denial of Service (DoS) attack vector.

Description

Versions of ISC BIND 9.x prior to 9.9.9-P1, 9.9.9-S3, 9.10.4-P1 and 9.11.0b1 are unpatched for a flaw in 'lwresd' that is triggered during the handling of 'getrrsetbyname()' with a non-absolute name, which can cause an infinite recursion. This may allow a remote attacker to cause a denial of service.

Solution

Upgrade ISC BIND to version 9.11.0b1 or later. If version 9.11.x cannot be obtained, versions 9.10.4-P1, 9.9.9-S3 and 9.9.9-P1 are also patched for these issues.